# Master’s Thesis: Performance Evaluation of the BAYWATCH Framework

This repository contains the work for my Master’s Thesis, which evaluates the performance of the BAYWATCH Framework on both real and synthetic data. The project involves data analysis, synthetic data generation, and performance testing of the framework.

## Project Overview

The main objective of this thesis is to assess how well the BAYWATCH Framework performs on different datasets. The process involves:

1. Data Preparation  
   - Setting up an InfluxDB database.  
   - Importing real network activity data into the database.  
   - Due to the large dataset size, a data format file is provided to show the structure of the data.  

2. Data Analysis  
   - Analyzing the imported data to identify patterns and trends.  

3. Synthetic Data Generation  
   - Creating synthetic datasets based on the observed patterns in the real data.  

4. Performance Evaluation  
   - Testing the BAYWATCH Framework on both real and synthetic data.  
   - Comparing results to assess its effectiveness.  

## Repository Structure

- /src – Contains scripts for data import, analysis, and performance evaluation.  
- /data – Includes the data format file (the actual dataset is too large to store).  
- /results – Stores output files and performance metrics.  
- /docs – Thesis document, presentation slides, and additional documentation.  

## Setup Instructions

1. Clone the Repository  
   ```bash
   git clone https://mygit.th-deg.de/an28964/master-thesis.git
